Compatibility OraDirect .NET and Enterprise Library

Compatibility OraDirect .NET and Enterprise Library

Postby labate » Wed 16 Jan 2008 13:16

Hi,

I use Microsoft Enterprise Library, version 3.1 (May 2007).

Could you tell me if this version is compatible with OraDirect .NET version 3.55.25 ?

I have read the installed OraDirect .NET Documentation and I would like to know if the "Enterprise Library Data Access Block" page content is still applicable with EntLib 3.1.

My primary use case is to call Oracle 9 stored procedures that can return out parameters or ref cursors.

Thanks
Adriano
labate
 
Posts: 48
Joined: Tue 17 Jan 2006 13:57
Location: Switzerland, Sion

Postby labate » Wed 16 Jan 2008 14:49

Here is some additional info.

I installed EntLib 3.1 then I open my project's web.config file with the Enterprise Library Configuration Tool.

I created a new Provider Mapping as described in the documentation. Then under TypeName (databaseType attribute), I clicked on the "Load an assembly..." button and selected the file "CoreLab.Oracle.EnterpriseLibrary.dll" located in the CoreLab installation "C:\Program Files\CoreLab\OraDirect.NET2\EnterpriseLibrary\Bin\".

The Configuration Tool displayed this error message :
There were no types found in the assembly 'CoreLab.Oracle.EnterpriseLibrary' that implement or inherit from the base type 'Microsoft.Practices.EnterpriseLibrary.Data.Database'.

Does it mean that EntLib 3.1 and OraDirect .NET 3.55 are not compatible?
Does OraDirect .NET 4 works with EntLib 3.1?

Thanks.
labate
 
Posts: 48
Joined: Tue 17 Jan 2006 13:57
Location: Switzerland, Sion

Postby Alexey.mdr » Thu 17 Jan 2008 11:52

OraDirect .NET 3.55 is compatible with Enterprise Library issued January, 2006.
OraDirect .NET 4.35 can be used with Enterprise Library issued May, 2007.
Alexey.mdr
 
Posts: 729
Joined: Thu 13 Dec 2007 10:24

Postby labate » Thu 17 Jan 2008 12:02

Alexey.mdr wrote:OraDirect .NET 3.55 is compatible with Enterprise Library issued January, 2006.
OraDirect .NET 4.35 can be used with Enterprise Library issued May, 2007.
Thank you.
I just verified that today by downloading the trial edition of version 4.35 and integrated with EntLib 3.1 (may 07). That works good.
labate
 
Posts: 48
Joined: Tue 17 Jan 2006 13:57
Location: Switzerland, Sion


Return to dotConnect for Oracle